Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgTerrain::DataSet::CompositeDestination Class Reference

Inheritance diagram for osgTerrain::DataSet::CompositeDestination:

[legend]
List of all members.

## Public Types
typedef std::vector< osg::ref_ptr< DestinationTile > > | TileList
typedef std::vector< osg::ref_ptr< CompositeDestination > > | ChildList
## Public Member Functions
| CompositeDestination ()
| CompositeDestination (osg::CoordinateSystemNode *cs, const osg::BoundingBox &extents)
void | computeNeighboursFromQuadMap ()
void | addRequiredResolutions (CompositeSource *sourceGraph)
void | readFrom (CompositeSource *sourceGraph)
void | equalizeBoundaries ()
osg::Node * | createScene ()
bool | areSubTilesComplete ()
std::string | getSubTileName ()
osg::Node * | createPagedLODScene ()
osg::Node * | createSubTileScene ()
void | unrefSubTileData ()
void | unrefLocalData ()
void | setSubTilesGenerated (bool generated)
bool | getSubTilesGenerated () const
## Public Attributes
DataSet * | _dataSet
CompositeDestination * | _parent
std::string | _name
unsigned int | _level
unsigned int | _tileX
unsigned int | _tileY
CompositeType | _type
TileList | _tiles
ChildList | _children
float | _maxVisibleDistance
bool | _subTileGenerated

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr<CompositeDestination> > osgTerrain::DataSet::CompositeDestination::ChildList

typedef std::vector< osg::ref_ptr<DestinationTile> > osgTerrain::DataSet::CompositeDestination::TileList

## Constructor & Destructor Documentation

osgTerrain::DataSet::CompositeDestination::CompositeDestination | ( |  | ) | `[inline]`

osgTerrain::DataSet::CompositeDestination::CompositeDestination | ( | osg::CoordinateSystemNode * | cs,
|  | const osg::BoundingBox & | extents
| ) | `[inline]`

## Member Function Documentation

void osgTerrain::DataSet::CompositeDestination::addRequiredResolutions | ( | CompositeSource * | sourceGraph | ) |

bool osgTerrain::DataSet::CompositeDestination::areSubTilesComplete | ( |  | ) |

void osgTerrain::DataSet::CompositeDestination::computeNeighboursFromQuadMap | ( |  | ) |

osg::Node* osgTerrain::DataSet::CompositeDestination::createPagedLODScene | ( |  | ) |

osg::Node* osgTerrain::DataSet::CompositeDestination::createScene | ( |  | ) |

osg::Node* osgTerrain::DataSet::CompositeDestination::createSubTileScene | ( |  | ) |

void osgTerrain::DataSet::CompositeDestination::equalizeBoundaries | ( |  | ) |

std::string osgTerrain::DataSet::CompositeDestination::getSubTileName | ( |  | ) |

bool osgTerrain::DataSet::CompositeDestination::getSubTilesGenerated | ( |  | ) | const`[inline]`

void osgTerrain::DataSet::CompositeDestination::readFrom | ( | CompositeSource * | sourceGraph | ) |

void osgTerrain::DataSet::CompositeDestination::setSubTilesGenerated | ( | bool | generated | ) | `[inline]`

void osgTerrain::DataSet::CompositeDestination::unrefLocalData | ( |  | ) |

void osgTerrain::DataSet::CompositeDestination::unrefSubTileData | ( |  | ) |

## Member Data Documentation

ChildList osgTerrain::DataSet::CompositeDestination::_children

DataSet* osgTerrain::DataSet::CompositeDestination::_dataSet

unsigned int osgTerrain::DataSet::CompositeDestination::_level

float osgTerrain::DataSet::CompositeDestination::_maxVisibleDistance

std::string osgTerrain::DataSet::CompositeDestination::_name

CompositeDestination* osgTerrain::DataSet::CompositeDestination::_parent

bool osgTerrain::DataSet::CompositeDestination::_subTileGenerated

TileList osgTerrain::DataSet::CompositeDestination::_tiles

unsigned int osgTerrain::DataSet::CompositeDestination::_tileX

unsigned int osgTerrain::DataSet::CompositeDestination::_tileY

CompositeType osgTerrain::DataSet::CompositeDestination::_type

The documentation for this class was generated from the following file:

- DataSet